infile = commandArgs()[4]
outfile = commandArgs()[5]
ncs = as.numeric(commandArgs()[6])
# number of diploid cases (affected individuals)
nct = as.numeric(commandArgs()[7])
# number of diploid controls (unaffected individuals)

maxhaplength = 100000
# max haplotype length

hapcnts=read.table(infile,header=T)
attach(hapcnts)
hcase=case_counts/2/ncs
hcontrol=control_counts/2/nct
contrast=hcontrol-hcase-1.28*sqrt(hcontrol*(1-hcontrol)/2/nct)
rare_protective_hap=substr(Ahap[which(contrast>0)],2,maxhaplength)
write.table(rare_protective_hap,row.names=F,col.names=F,file=outfile,quote=F)

# although named rrh (rare protective hap), only looks at frequency difference
