infile = commandArgs()[4]
outfile = commandArgs()[5]
n = as.numeric(commandArgs()[6])
# number of diploid cases (affected individuals)

maxhaplength = 100000
# max haplotype length

hapcnts=read.table(infile,header=T)
attach(hapcnts)
hcase=case_counts/2/n
hcontrol=control_counts/2/n
contrast=hcontrol-hcase-1.28*sqrt(hcontrol*(1-hcontrol)/2/n)
rare_protective_hap=substr(Ahap[which(contrast>0)],2,maxhaplength)
write.table(rare_protective_hap,row.names=F,col.names=F,file=outfile,quote=F)

# although named rph (rare protective hap), only looks at frequency difference

